(* This unit allows you to disable the blinking to get high-intensity
   background colors.  The demo program at the end of the file shows this. *)

unit NoBlink;

interface

uses
  dos,
  crt;

procedure DisableBlink(state : boolean);

implementation

procedure DisableBlink(state : boolean);
  { DisableBlink(true) allows use of upper eight colours as background }
  { colours. DisableBlink(false) restores the normal mode and should   }
  { be called before program exit                                      }
  var
    regs : registers;
  begin
    regs.ax := $1003;
    regs.bl := ord(not(state));
    intr($10,regs);
  end;  { DisableBlink }

end.

program TestBlink

uses NoBlink;

begin
  TextAttr := White + 16 * LightCyan;  { will be flashing blue on brown normally }
  writeln('Test line - flashing - (Press any key)');
  ch := readkey;
  DisableBlink(true);
  writeln('Test line - hi intensity - (Press any key)');
  ch := readkey;
  DisableBlink(false);
end.
